Bug 1466122 - Event webhook should work with HTTPS urls [NEEDINFO]
Summary: Event webhook should work with HTTPS urls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: eventsapi
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1503134 1506903 1509200
TreeView+ depends on / blocked
 
Reported: 2017-06-29 06:23 UTC by Sahina Bose
Modified: 2018-09-25 10:33 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Bug Fix
Doc Text:
Gluster events daemon failed to recognise https enables registered webhook. With this fix https enabled webhooks can receive events from Gluster.
Clone Of:
: 1506903 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:32:36 UTC
srmukher: needinfo? (avishwan)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:34:40 UTC

Description Sahina Bose 2017-06-29 06:23:36 UTC
Description of problem:

While integrating gluster with oVirt, an HTTPS url was used to register the webhook with gluster-events.

The webhook test fails with error:
NOT OK: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:579)



Version-Release number of selected component (if applicable):
3.3

How reproducible:
Always

Comment 3 Aravinda VK 2017-10-27 06:58:14 UTC
Patch sent to Upstream

https://review.gluster.org/18578

Comment 6 Aravinda VK 2018-04-16 06:07:20 UTC
Example to run Webhook server as HTTPS server
https://blog.miguelgrinberg.com/post/running-your-flask-application-over-https

Comment 9 errata-xmlrpc 2018-09-04 06:32:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.